petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMPIBAIJSetValuesBlocked

Direct Fortran call to replace call to MatSetValuesBlocked()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode matmpibaijsetvaluesblocked_(Mat *matin,PetscInt *min,const PetscInt im[],PetscInt *nin,const PetscInt in[],const MatScalar v[],InsertMode *addvin)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| min | - number of input rows Many br
| im | - input rows Many br
| nin | - number of input columns Many br
| in | - input columns Many br
| v | - numerical values input Many br
| addvin | - INSERT_VALUES or ADD_VALUES Many br

Notes: This has a complete copy of MatSetValuesBlocked_MPIBAIJ() which is terrible code un-reuse. Many br

Many br

### See Also

MatSetValuesBlocked()

Level:advanced
Location:src/mat/impls/baij/mpi/mpibaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages